QGIS Application - Bug report #16668
pgpass do not work on qgis master
2017-06-06 11:44 AM - Andy Harney

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24567
Description

Hi,

On QGIS master, QGIS will fail to retrieve passwords from a pgpass.conf file.
This happens when expanding a db tree in Database > DB Manager

The database is added in the PostGIS data provider without a password, which can connect and load layers.

Attached is a screenshot showing this.

Many Thanks.

Related issues:
Related to QGIS Application - Bug report # 10932: qgis not parsing pg_service... Closed

2014-07-23

History

#1 - 2017-06-06 11:46 AM - Giovanni Manghi
- Regression? changed from No to Yes
- Priority changed from Normal to High

- Subject changed from pgpass - Windows to pgpass do not work on qgis master

#2 - 2017-06-06 12:25 PM - Sandro Santilli

It could make a good case to add to the new DBManager testsuite: https://github.com/qgis/QGIS/pull/4688

Can you tell which version was last found working ? Was 2.18 branch tested too ?

#3 - 2017-06-06 02:11 PM - Andy Harney

- File PGPASS_2.18.9.png added

- File PGPASS_Master.png added

Sandro Santilli wrote:

It could make a good case to add to the new DBManager testsuite: https.//github.com/qqis/QGIS/pull/4688

Can you tell which version was last found working ? Was 2.18 branch tested too ?

I've just tested 2.18.9. Setting up a PostGIS connection fails, as does using DB Manager.
On master, setting up a PostGIS connection works, but DB Manager fails.
I've added more images to show.
https://github.com/qgis/QGIS/pull/4688
https://github.com/qgis/QGIS/pull/4688

Thanks.

#4 - 2017-06-06 02:34 PM - Sandro Santilli

Giovanni as you marked this as a regression, do you know which older version worked fine ?

#5 - 2017-06-06 02:36 PM - Giovanni Manghi
- Priority changed from High to Normal
- Regression? changed from Yes to No

Sandro Santilli wrote:

Giovanni as you marked this as a regression, do you know which older version worked fine ?

| overlooked the notification and assume that was something only affecting master.

#6 - 2017-06-08 02:58 PM - Jiirgen Fischer

Probably a duplicate of #10932 (unix style line endings (linefeed only) expected)

#7 - 2017-06-08 02:58 PM - Jiirgen Fischer

- Related to Bug report #10932: qgis not parsing pg_service.conf properly added

#8 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#9 - 2019-03-10 12:21 AM - Andy Harney

Giovanni Manghi wrote:

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Just tested on QGIS 3.6, Windows 10. This issue is resolved.

#10 - 2019-03-10 12:24 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
